package jaspellbridge;

/**
 *
 * @author federico boschetti 
 * federico boschetti 73 at gmail com
 * 
 * This is an example how to use Aspell via JNI.
 * The dictionary used in the example is grc (Ancient Greek dictionary for Aspell, available at http://www.himeros.eu) 
 */
public class Jaspeller {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        System.loadLibrary("aspellbridge");
        
        for(int i=0;i<1000;i++){
      
            String res=aspellQuery("ἀλόυεια","grc");
            String[] items=res.split(" ");
            for(String item:items){
                System.out.println(item);
            }
            res=aspellQuery("καταβαλς","grc");
            System.out.println(res);
        }
        System.out.print(aspellQuery("","~"));
    }

    public static native String aspellQuery(String text, String lang);

}
